
import Foundation

let id = Calendar.Identifier.gregorian
let calendar = Calendar(identifier: id)
var comp = DateComponents()
comp.day = 120

var today = Date()
// "27 Dec 2025 at 8:29 PM"
var appointment = calendar.date(byAdding: comp, to: today)
// "26 Apr 2026 at 8:29 PM"
